Index: trunk/ab5.0/abdev/abdev/ProjectControl.cpp
===================================================================
--- trunk/ab5.0/abdev/abdev/ProjectControl.cpp	(revision 625)
+++ trunk/ab5.0/abdev/abdev/ProjectControl.cpp	(revision 629)
@@ -146,6 +146,6 @@
 							//ResetScrollbarが再描画時に呼び出されるので、再描画する
 							WndNum=GetWndNum(hChild);
-							InvalidateRect(MdiInfo[WndNum].pMdiTextEdit->hEdit,NULL,0);
-							UpdateWindow(MdiInfo[WndNum].pMdiTextEdit->hEdit);
+							InvalidateRect(MdiInfo[WndNum]->pMdiTextEdit->hEdit,NULL,0);
+							UpdateWindow(MdiInfo[WndNum]->pMdiTextEdit->hEdit);
 							TextEdit_SelectOneLine(WndNum,pobj_ClassTreeView->pProcInfo[i].code_pos,TRUE);
 
@@ -506,5 +506,5 @@
 						SetWindowLongPtr(hwnd,GWL_EXSTYLE,WS_EX_STATICEDGE);
 						SetParent(hwnd,hOwner);
-						ResizeOwnerWnd();
+						ActiveBasic::IDE::Program::mainFrame.Resized();
 
 						ShowWindow(hProjectView_ToolWindow,SW_HIDE);
@@ -517,5 +517,5 @@
 						SetParent(hwnd,hProjectView_ToolWindow);
 
-						ResizeOwnerWnd();
+						ActiveBasic::IDE::Program::mainFrame.Resized();
 						ResizeProjectView_ToolWindow();
 
@@ -1287,6 +1287,6 @@
 
 							//ResetScrollbarが再描画時に呼び出されるので、再描画する
-							InvalidateRect(MdiInfo[WndNum].pMdiTextEdit->hEdit,NULL,0);
-							UpdateWindow(MdiInfo[WndNum].pMdiTextEdit->hEdit);
+							InvalidateRect(MdiInfo[WndNum]->pMdiTextEdit->hEdit,NULL,0);
+							UpdateWindow(MdiInfo[WndNum]->pMdiTextEdit->hEdit);
 
 							if(temp2[i2]=='\0') goto EndToSetWorkFile;
@@ -1316,7 +1316,7 @@
 							si.fMask=SIF_POS;
 							si.nPos=pos.x;
-							SetScrollInfo(MdiInfo[WndNum].pMdiTextEdit->hEdit,SB_HORZ,&si,1);
+							SetScrollInfo(MdiInfo[WndNum]->pMdiTextEdit->hEdit,SB_HORZ,&si,1);
 							si.nPos=pos.y;
-							SetScrollInfo(MdiInfo[WndNum].pMdiTextEdit->hEdit,SB_VERT,&si,1);
+							SetScrollInfo(MdiInfo[WndNum]->pMdiTextEdit->hEdit,SB_VERT,&si,1);
 
 							if(temp2[i2]=='\0') goto EndToSetWorkFile;
@@ -1591,19 +1591,19 @@
 		WndNum=GetWndNum(hChild);
 		sw=0;
-		if(IS_DOCUMENT_TEXT(MdiInfo[WndNum].DocType)){
-			if( MdiInfo[WndNum].pMdiTextEdit->IsModified() ){
+		if(IS_DOCUMENT_TEXT(MdiInfo[WndNum]->DocType)){
+			if( MdiInfo[WndNum]->pMdiTextEdit->IsModified() ){
 				for(i=0;i<projectInfo.pobj_DBFileInfo->iNum;i++){
 					projectInfo.pobj_DBFileInfo->ppobj_FileInfo[i]->GetFullPath(temporary);
-					if(lstrcmpi(MdiInfo[WndNum].path.c_str(),temporary)==0) sw=1;
-				}
-			}
-		}
-		else if(MdiInfo[WndNum].DocType==WNDTYPE_ICONEDIT){
-			if(MdiInfo[WndNum].MdiIconEditInfo->bModify){
+					if(lstrcmpi(MdiInfo[WndNum]->path.c_str(),temporary)==0) sw=1;
+				}
+			}
+		}
+		else if(MdiInfo[WndNum]->DocType==WNDTYPE_ICONEDIT){
+			if(MdiInfo[WndNum]->MdiIconEditInfo->bModify){
 				BOOST_FOREACH( const ActiveBasic::Common::ResourceItem &resourceItem, projectInfo.resourceManager.iconResources )
 				{
 					lstrcpy(temporary,resourceItem.filepath.c_str());
 					lstrcpy( temporary, projectInfo.GetWorkDir().GetFullPath( temporary ).c_str() );
-					if(lstrcmpi(MdiInfo[WndNum].path.c_str(),temporary)==0) sw=1;
+					if(lstrcmpi(MdiInfo[WndNum]->path.c_str(),temporary)==0) sw=1;
 				}
 			}
@@ -1648,8 +1648,8 @@
 	while(hChild){
 		WndNum=GetWndNum(hChild);
-		if(IS_DOCUMENT_TEXT(MdiInfo[WndNum].DocType)){
+		if(IS_DOCUMENT_TEXT(MdiInfo[WndNum]->DocType)){
 			for(i=0;i<projectInfo.pobj_DBFileInfo->iNum;i++){
 				projectInfo.pobj_DBFileInfo->ppobj_FileInfo[i]->GetFullPath(temporary);
-				if(lstrcmpi(MdiInfo[WndNum].path.c_str(),temporary)==0){
+				if(lstrcmpi(MdiInfo[WndNum]->path.c_str(),temporary)==0){
 					TextEdit_GetSel(WndNum,&CharRange);
 
@@ -1658,7 +1658,7 @@
 					si.cbSize=sizeof(SCROLLINFO);
 					si.fMask=SIF_POS;
-					GetScrollInfo(MdiInfo[WndNum].pMdiTextEdit->hEdit,SB_HORZ,&si);
+					GetScrollInfo(MdiInfo[WndNum]->pMdiTextEdit->hEdit,SB_HORZ,&si);
 					pos.x=si.nPos;
-					GetScrollInfo(MdiInfo[WndNum].pMdiTextEdit->hEdit,SB_VERT,&si);
+					GetScrollInfo(MdiInfo[WndNum]->pMdiTextEdit->hEdit,SB_VERT,&si);
 					pos.y=si.nPos;
 
@@ -1674,9 +1674,9 @@
 			}
 		}
-		else if(MdiInfo[WndNum].DocType==WNDTYPE_RAD){
+		else if(MdiInfo[WndNum]->DocType==WNDTYPE_RAD){
 			BOOST_FOREACH( ActiveBasic::PM::WindowInfo *pWindowInfo, projectInfo.windowInfos )
 			{
-				if(lstrcmpi(MdiInfo[WndNum].path.c_str(),pWindowInfo->GetName().c_str())==0){
-					sprintf(buffer+i2,"rad,%s\r\n",MdiInfo[WndNum].path.c_str());
+				if(lstrcmpi(MdiInfo[WndNum]->path.c_str(),pWindowInfo->GetName().c_str())==0){
+					sprintf(buffer+i2,"rad,%s\r\n",MdiInfo[WndNum]->path.c_str());
 					i2+=lstrlen(buffer+i2);
 					break;
@@ -1684,8 +1684,8 @@
 			}
 		}
-		else if(MdiInfo[WndNum].DocType==WNDTYPE_MENU){
+		else if(MdiInfo[WndNum]->DocType==WNDTYPE_MENU){
 			for(i=0;i<projectInfo.NumberOfMenu;i++){
-				if(lstrcmpi(MdiInfo[WndNum].path.c_str(),projectInfo.pMenuInfo[i].IdName)==0){
-					sprintf(buffer+i2,"menu,%s\r\n",MdiInfo[WndNum].path.c_str());
+				if(lstrcmpi(MdiInfo[WndNum]->path.c_str(),projectInfo.pMenuInfo[i].IdName)==0){
+					sprintf(buffer+i2,"menu,%s\r\n",MdiInfo[WndNum]->path.c_str());
 					i2+=lstrlen(buffer+i2);
 					break;
@@ -1693,10 +1693,10 @@
 			}
 		}
-		else if(MdiInfo[WndNum].DocType==WNDTYPE_ICONEDIT){
+		else if(MdiInfo[WndNum]->DocType==WNDTYPE_ICONEDIT){
 			BOOST_FOREACH( const ActiveBasic::Common::ResourceItem &resourceItem, projectInfo.resourceManager.iconResources )
 			{
 				lstrcpy(temporary,resourceItem.filepath.c_str());
 				lstrcpy( temporary, projectInfo.GetWorkDir().GetFullPath( temporary ).c_str() );
-				if(lstrcmpi(MdiInfo[WndNum].path.c_str(),temporary)==0){
+				if(lstrcmpi(MdiInfo[WndNum]->path.c_str(),temporary)==0){
 					sprintf(buffer+i2,"icon,%s\r\n",resourceItem.filepath.c_str());
 					i2+=lstrlen(buffer+i2);
